> For the complete documentation index, see [llms.txt](https://docs.redutzu.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.redutzu.com/resources/redutzu-mdt/guides/bodycam.md).

# Bodycam

## Adding the bodycam item to your inventory

To add the bodycam item to your inventory, follow the steps for your specific inventory system:

#### ox\_inventory (@ox\_inventory/data/items.lua)

```lua
['bodycam'] = {
    label = 'Bodycam',
    weight = 300,
    stack = false,
    close = true,
    allowArmed = true,
    consume = 0,
    client = { event = 'redutzu-mdt:client:toggle-bodycam-state', image = 'bodycam.png' },
    description = 'Let other players see your body with the most advanced bodycam on FiveM'
}
```

#### qb-inventory (@qb-core/shared/items.lua)

```lua
bodycam = {
    name = 'bodycam',
    label = 'Bodycam',
    weight = 300,
    type = 'item',
    image = 'bodycam.png',
    unique = true,
    useable = true,
    shouldClose = true,
    combinable = nil,
    description = 'Let other players see your body with the most advanced bodycam on FiveM'
}
```

#### qs-inventory (@qs-inventory/shared/items.lua)

```lua
['bodycam'] = {
    ['name'] = 'bodycam',
    ['label'] = 'Bodycam',
    ['weight'] = 300,
    ['type'] = 'item',
    ['image'] = 'bodycam.png',
    ['unique'] = true,
    ['useable'] = true,
    ['shouldClose'] = true,
    ['combinable'] = nil,
    ['description'] = 'Let other players see your body with the most advanced bodycam on FiveM'
}
```

## Modifying Bodycam Functionality

The functionality of the bodycam can be modified in the `server/custom/bodycam/default.lua` file. This file contains the default implementation of the bodycam feature, and you can customize it to fit your needs.

The image of the bodycam item is located in the same directory as the `default.lua` file.

## Server-Side Export

There is also a server-side export to check if a player has the bodycam enabled:

```lua
exports['redutzu-mdt']:isBodycamEnabled(source)
```

To toggle the bodycam, the player must have the bodycam item in their inventory and use it. The UI will appear, indicating that the bodycam is enabled, and any officer can then view the player's real-time footage.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.redutzu.com/resources/redutzu-mdt/guides/bodycam.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
